Document templates & integrations
Get Expensify Integration
Describes whether the caller's org has Expensify connected and under which partner user.
GEThttps://api.toku.com/hris/get-expensify-integration
Required scope: integrations:read
curl --request GET \
--url 'https://api.toku.com/hris/get-expensify-integration' \
--header 'Authorization: Bearer <token>'200 response
{
"isConnected": true,
"partnerUserID": "string",
"maskedSecret": "string",
"connectedAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
isConnectedbooleanrequiredpartnerUserIDstring | nullrequiredmaskedSecretstring | nullrequiredconnectedAtstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits